package cygx

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxInterfaceLog struct {
	Id         int       `orm:"column(id);pk"`
	Uid        int       `description:"用户ID "`
	Url        string    `description:"路由"`
	Method     string    `description:"请求方式"`
	Data       string    `description:"信息内容"`
	CreateTime time.Time `description:"创建时间"`
}

// 新增
func AddCygxInterfaceLog(item *CygxInterfaceLog) (err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	_, err = o.Insert(item)
	return
}
